package be.kdg.java3.relationsdemo.repository;

import be.kdg.java3.relationsdemo.domain.School;

import java.util.List;

public interface SchoolRepository {
    List<School> findAll();
    School findById(int id);
    School create(School school);//returns a School with autogenerated id
    void update(School school);
    void delete(int id);
}
